/*
   $Id: tm-html.cmd,v 1.1 1996/03/09 16:02:55 H.Ueno Exp $
*/
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

address 'cmd'
parse arg request, rest
parse var request tmpfile mtype msubtype action filename .

share='OS2ENVIRONMENT'
/*-----------------------------------------------------------------------*/
/*  determine a directory where a temporary file will be placed          */
/*-----------------------------------------------------------------------*/
savedir=value('TM_TMP_DIR',,share)
if savedir='' then savedir=value('TMP',,share)
if savedir='' then savedir='.'

/*-----------------------------------------------------------------------*/
/*  determine a viewer for HTML                                          */
/*-----------------------------------------------------------------------*/
viewer=value('TM_VIEW_WWW_BROWSER',,share)
if viewer='' then viewer='explore'

/*-----------------------------------------------------------------------*/
/*  translate any '/' characters to '\' here.                            */
/*-----------------------------------------------------------------------*/
tmpfile=translate(tmpfile,'\','/')

/*-----------------------------------------------------------------------*/
/*  build a filename to be created from the temporary file.              */
/*-----------------------------------------------------------------------*/
if filename='' | filename='""' then
    filename=SysTempFileName(savedir'\mime????.html')
else
    filename=savedir'\'filename

call tmdecode msubtype, tmpfile, filename, savedir
call SysFileDelete(tmpfile)

/*-----------------------------------------------------------------------*/
/*  perform a requested action.                                          */
/*-----------------------------------------------------------------------*/
select
    when action='play' then do
        viewer filename
        end
    when action='extract' then do
        say 'extract to ' filename
        exit 0
        end
end

call SysFileDelete(filename)
