/*
   $Id: tm-plain.cmd,v 1.2 1995/09/15 05:45:17 H.Ueno Exp $
*/
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

address 'cmd'
parse arg request, rest
parse var request tmpfile mtype msubtype action filename .

share='OS2ENVIRONMENT'
/*-----------------------------------------------------------------------*/
/*  determine a directory where a temporary file will be placed          */
/*-----------------------------------------------------------------------*/
savedir=value('TM_TMP_DIR',,share)
if savedir='' then savedir=value('TMP',,share)
if savedir='' then savedir='.'

/*-----------------------------------------------------------------------*/
/*  determine a viewer for plain text                                    */
/*-----------------------------------------------------------------------*/
viewer=value('TM_VIEW_PLAIN',,share)
if viewer='' then viewer='e'

/*-----------------------------------------------------------------------*/
/*  translate any '/' characters to '\' here.                            */
/*-----------------------------------------------------------------------*/
tmpfile=translate(tmpfile,'\','/')

/*-----------------------------------------------------------------------*/
/*  build a filename to be created from the temporary file.              */
/*-----------------------------------------------------------------------*/
if filename='' | filename='""' then filename=SysTempFileName(savedir'\mime????.txt')
                               else filename=savedir'\'filename

call tmdecode msubtype, tmpfile, filename, savedir
call SysFileDelete(tmpfile)

/*-----------------------------------------------------------------------*/
/*  perform a requested action.                                          */
/*-----------------------------------------------------------------------*/
select
    when action='play' then do
        viewer filename
        end
    when action='extract' then do
        say 'extract to ' filename
        exit 0
        end
    when action='print' then do
        'nkf -s ' filename ' > lpt1:'
        end
    otherwise
        say 'unknown action: ' action
        call SysFileDelete(filename)
        exit -1
end

call SysFileDelete(filename)
