/*
   $Id: tmdecode.cmd,v 1.4 1996/03/14 17:32:57 H.Ueno Exp $
*/
address 'cmd'
parse arg msubtype, tmpfile, filename, savedir

select
    when msubtype='""' | msubtype='' then do
        'copy' tmpfile filename
        end
    when msubtype='7bit' | msubtype='8bit' | msubtype='binary' then do
        'copy' tmpfile filename
        end
    when  msubtype='x-uue' | msubtype='x-uuencode' then do
        call setlocal
        if  directory(savedir)<>''
            then  'uudecode' tmpfile
            else   say "Can't find" savedir
        call endlocal
        end
    when msubtype='base64' then do
        'mmencode -u -o' filename tmpfile
        end
    when msubtype='quoted-printable' then do
        'mmencode -q -u -o' filename tmpfile
        end
    when msubtype='x-gzip64' then do
        'mmencode -u' tmpfile '| gzip -dc >' filename
        end
    otherwise
        say 'unknown encoding:' msubtype
        call SysFileDelete(tmpfile)
        exit -1
end
